> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a lightning invoice



## OpenAPI

````yaml put /v3/lightning_invoice_bolt11/{id}
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/lightning_invoice_bolt11/{id}:
    put:
      operationId: put_v3lightning_invoice_bolt11{id}
      parameters:
        - in: path
          name: id
          schema:
            type: string
            default: l11_ag7a8f7agegfa
          required: true
          description: ID of an existing lightning invoice
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                metadata:
                  $ref: '#/components/schemas/MetadataInput'
                  description: >-
                    Set of key-value pairs to attach to the lightning_invoice
                    object
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: The status of the request - success or failure
                  message:
                    type: string
                    description: Additional information about the status
                  data:
                    type: string
                    description: The updated lightning_invoice_bolt11 object
              examples:
                OK:
                  summary: OK
                  value:
                    status: success
                    message: ''
                    data:
                      id: l11_abc123xyz
                      object: lightning_invoice_bolt11
                      amount: 123456
                      d_tag_memo: 'Payment for order #7890'
                      h_tag: null
                      collect: col_98765
                      expiry_interval: 3600
                      metadata:
                        order_id: '7890'
                        customer_id: cust_456
                      status: active
                      payment_status: unpaid
                      created_at: '2025-09-28T08:15:30Z'
                      updated_at: '2025-09-28T08:20:45Z'
components:
  schemas:
    MetadataInput:
      type: string
      description: >-
        Set of key-value pairs that can be attached to the object (JSON string
        format)
      format: json
      example: '{"key1": "value1", "key2": "value2"}'
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````